Package org.apache.batchee.container.impl.controller.chunk

## Class RetryHandler

- java.lang.Object
- - org.apache.batchee.container.impl.controller.chunk.RetryHandler

-     public class RetryHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryHandler​(Chunk chunk)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRetryProcessListener​(List<javax.batch.api.chunk.listener.RetryProcessListener> retryProcessListeners)` | Add the user-defined RetryProcessListener.
    `void` | `addRetryReadListener​(List<javax.batch.api.chunk.listener.RetryReadListener> retryReadListeners)` | Add the user-defined RetryReadListener.
    `void` | `addRetryWriteListener​(List<javax.batch.api.chunk.listener.RetryWriteListener> retryWriteListeners)` | Add the user-defined RetryWriteListener.
    `Exception` | `getException()` |
    `void` | `handleExceptionProcess​(Exception e, Object w)` | Handle exception from a process failure.
    `void` | `handleExceptionRead​(Exception e)` | Handle exception from a read failure.
    `void` | `handleExceptionWrite​(Exception e, List<Object> w)` | Handle exception from a write failure.
    `boolean` | `isRollbackException​(Exception e)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryHandler

          public RetryHandler​(Chunk chunk)

  - ### Method Detail

    - #### addRetryProcessListener

          public void addRetryProcessListener​(List<javax.batch.api.chunk.listener.RetryProcessListener> retryProcessListeners)

      Add the user-defined RetryProcessListener.

    - #### addRetryReadListener

          public void addRetryReadListener​(List<javax.batch.api.chunk.listener.RetryReadListener> retryReadListeners)

      Add the user-defined RetryReadListener.

    - #### addRetryWriteListener

          public void addRetryWriteListener​(List<javax.batch.api.chunk.listener.RetryWriteListener> retryWriteListeners)

      Add the user-defined RetryWriteListener.

    - #### isRollbackException

          public boolean isRollbackException​(Exception e)

    - #### handleExceptionRead

          public void handleExceptionRead​(Exception e)

      Handle exception from a read failure.

    - #### handleExceptionProcess

          public void handleExceptionProcess​(Exception e,
                                             Object w)

      Handle exception from a process failure.

    - #### handleExceptionWrite

          public void handleExceptionWrite​(Exception e,
                                           List<Object> w)

      Handle exception from a write failure.

    - #### getException

          public Exception getException()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`